<bugID>379138<Summary>FUEL 0.1: Contract ID should be more specific</Summary><Description>I missed this in my initial review of FUEL. "@mozilla.org/application;1" is pretty generic, and it's not clear what it does. I think it would be a good idea for it to be a bit more specific, perhaps "@mozilla.org/fuel/application;1"?a</Description></bugID>